Subject: bug#35052: [PATCH] `tex-current-defun-name' matches the wrong title

From: Eli Zaretskii <[email-masked]>
Date: Sun, 31 Mar 2019 17:31:31 +0300

> From: Arash Esbati <[email-masked]>
> Date: Sat, 30 Mar 2019 21:30:02 +0100
> 
> --8<---------------cut here---------------start------------->8---
> \documentclass{article}
> 
> \begin{document}
> 
> \section{Emacs}
> 
> \subsection*[Emacs is the extensible, customizable, self-documenting
> real-time display editor]{Emacs is the extensible, customizable,
>   self-documenting real-time display editor}
> 
> \end{document}
> --8<---------------cut here---------------end--------------->8---
> 
> In that buffer, eval (goto-char 68) and hit `C-x 4 a'.  Emacs enters the
> first section (section{Emacs}) into the ChangeLog buffer.  I think
> `tex-current-defun-name' could be more cautious like
> `lisp-current-defun-name' is.  A possible patch is attached.

I don't use TeX mode, so I don't really mind, but please note that the
current behavior is consistent with Texinfo mode's equivalent: it also
detects only the @node in which point is located.